from dos_core import *
from clarissa_utils import *

cwd = "rem_n147_n228"

folder_ldos = "1811_ldos"
wd = os.path.join(home_dir(), cwd, folder_ldos)
# Setup argument for dos calculation.
calc_args = {"w_max": 1.2, "dw": [1e-3]}
# Initialize mpb objects.
mpb_params = {"n_low": 1.47392954, "n_high": 2.27897966, "num_bands": 5, "resolution": 256}
mpb_grid = MpbGrid2D(0, 0.5, 0, 2.4, 1e-3, 'y')
# Loop low/high resolutions.
mpb_input = MpbInput(mpb_params, mpb_grid, sym=True)
run_mpb_calculation("brg", mpb_input, wd=wd, calc=calc_dos_result, agg=agg_dos_results, args=calc_args, cores=30)