; setup 1d unit cell
(set! geometry-lattice (make lattice (size 1 no-size no-size)))
; assign low index material as default
(set! default-material (make dielectric (index n-low)))
; calculate width of high index layer
(define-param w-high (/ n-low (+ n-low n-high)))
; setup high index layer
(set! geometry
      (list
       (make cylinder
	 (material (make dielectric (index n-high)))
	 (center 0 0 0)
	 (axis 1 0 0)
	 (radius infinity)
	 (height w-high))))

; run the calculation (dpwr is the time-averaged electric-field energy density \epsilon*|E|^2)
